petsc-3.4.2 2013-07-02

# PCReset

Resets a PC context to the pcsetupcalled = 0 state and removes any allocated Vecs and Mats

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCReset(PC pc)

Collective on PC

### Input Parameter

pc -the preconditioner context

Notes: This allows a PC to be reused for a different sized linear system but using the same options that have been previously set in the PC

### Keywords

PC, destroy

### See Also

PCCreate(), PCSetUp()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages